/* Can we use rand() and srand() to make multiple streams?
*/

#include <stdlib.h>
#include <stdio.h>

int
main (void)
{
    unsigned m[5], n[5];
    int     i;

    srand (1);

    for (i = 0; i < 5; i++)
	m[i] = rand ();

    srand (1);
    for (i = 0; i < 5; i++)
	n[i] = rand (), srand (n[i]);

    for (i = 0; i < 5; i++)
	printf ("%d m = %u, n = %u, %s\n", i, m[i], n[i], (m[i] == n[i]) ? "yes" : "no");

    return 0;
}
